function batchrun(graphics)

global spread spread2 range resolution base SOA lagmultiply blanks name  RBflag T1rangeflag spread2 blastersize bdelay
global abortflag threetarg fluxdurflag justt1delay progresshandle progressbar progresstitle targetvariance


if(graphics)
    progresshandle = figure('Position',[10 10 400 200],'Name','Progress Bar');
    progresstitle = uicontrol('Style','text','String',sprintf('\nProgress Bar'),'Position', [20 45 400 150]);
    progressbar = uicontrol('Style', 'slider', 'String', 'Status',...
        'Position', [20 10 400 30],'Min',0,'Max',1);
end

abortflag = 0;

%%%%%%%%%%%%%%%%%%%
%%Input values extend around a middle value in steps.

base = .85;
range = .54;


%what is the granularity of target values as we step through the trials
%more targets per trial require coarser granularity.  
twotargdivider = 6;
fourtargdivider = 4;
sixtargdivider = 2;


%For experiments with very coarse grained steps through the range of input
%values (such as 6 targets) we add extra variance
%this parameter can be used but is not accessible through the gui
spreadvariance = 0;
sixtargvariance = range/3;


SOA = 100;
bdelay = 40;
targetvariance = 0;


%Basic Blink
resolution = range/twotargdivider;
blanks = [0, 0];
name = 'blinkbasicBAT1.mat';
eSTSTbattery(1,graphics)



%T1+1blank
resolution = range/twotargdivider;
blanks = [1, 0];
name = 'blinkt1blankBAT1.mat';
eSTSTbattery(1,graphics)


%T1 Unblanked
resolution = range/twotargdivider;
SOA = 50;
blanks = [2, 0];
name = 'blinkunblankedBAT2.mat';
eSTSTbattery(2,graphics)
SOA = 100;


%T2blank
resolution = range/twotargdivider;
blanks = [0, 2];  
name = 'blinkt2blankBAT1.mat';
eSTSTbattery(1,graphics)


%50ms/item, basic blink
resolution = range/twotargdivider;
SOA = 50;
blanks = [0, 0];  
name = 'blink50msBAT2.mat';
eSTSTbattery(2,graphics)
SOA = 100;



%%%%%%%%%%%%%%%%%%%%
%Whole Report and Sparing conditions, including the RB experiment

%Basic Spreading Sparing
resolution = range/fourtargdivider ;
targetvariance = spreadvariance;
blanks = [0, 0];
name = 'blinkspreadBAT3.mat';
%eSTSTbattery(3,graphics)

%6 targets
resolution = range/sixtargdivider ;
targetvariance = sixtargvariance ;
blanks = [0, 0];
name = '6targetsBAT6.mat';
%eSTSTbattery(6,graphics)
targetvariance = 0;


%Whole Report   Switch to 110ms 
resolution = range/fourtargdivider ;
bdelay = 10;
SOA = 110;
blanks = [0, 0];
name = 'blinkWRBAT7.mat';
%eSTSTbattery(7,graphics)


%WR using Just T1 Delay
resolution = range/fourtargdivider ;
justt1delay = 1;
blanks = [0, 0];
name = 'blinkWRjtBAT7.mat';
%eSTSTbattery(7,graphics)

justt1delay = 0;   %reset to default conditions
bdelay =40;
SOA = 100;


% RB    %switch to 90 ms
resolution = range/fourtargdivider ;
SOA = 90;
blanks = [0, 0];
name = 'blinkRBBAT8.mat';
%eSTSTbattery(8,graphics)
SOA = 100;



% Three Target
resolution =range/fourtargdivider ;
blanks = [0, 0];
name = 'blinkthreetargBAT9.mat';
%eSTSTbattery(9,graphics)
threetarg = 0;


% Ttttt vs tdtd    100 ms
resolution =range/fourtargdivider ;
blanks = [0, 0];
name = 'blinktdtdBAT10.mat';
%eSTSTbattery(10,graphics)


% Ttttt vs tdtd    50 ms
resolution =range/fourtargdivider ;
SOA = 50;
blanks = [0, 0];
name = 'blinktdtd50msBAT10.mat';
%eSTSTbattery(10,graphics)
SOA = 100;



% Episodic Distinct,  Whole Report with blanks
resolution =range/fourtargdivider ;
bdelay = 10;
blanks = [0, 0];
name = 'blinkLLDLLdelay0BAT7.mat';
%eSTSTbattery(7,graphics)

bdelay = 40;

%%%%%%%%%%%%%%%%%%%%%%%%
% More Two Target Conditions

targetvariance =0;   %back to 2 targets

%Blink Delay 0
resolution = range/twotargdivider;
bdelay = 10;
SOA = 100;
blanks = [0, 0];
name = 'blinkbasicdelay0.mat';
%  eSTSTbattery(1,graphics)


%Blink Delay 1
resolution = range/twotargdivider;
bdelay = 20;
SOA = 100;
blanks = [0, 0];
name = 'blinkbasicdelay1.mat';
%  eSTSTbattery(1,graphics)


%Blink Delay 2
resolution = range/twotargdivider;
bdelay = 30;
blanks = [0, 0];
name = 'blinkbasicdelay2.mat';
%  eSTSTbattery(1,graphics)


%Blink Delay 4
resolution = range/twotargdivider;
bdelay = 50;
blanks = [0, 0]; 
name = 'blinkbasicdelay4.mat';
%  eSTSTbattery(1,graphics)


%Blink Delay 1   Only the T1 has a shorter bdelay
resolution = range/twotargdivider;
bdelay = 40;
justt1delay = 1;
blanks = [0, 0];
name = 'blinkbasicdelay0jt.mat';
% eSTSTbattery(1,graphics)
justt1delay = 0;



%Basic Blink  Hard
resolution = range/twotargdivider;
T1rangeflag = -1;
blanks = [0, 0];
name = 'blinkbasichard.mat';
%  eSTSTbattery(1,graphics)


%Basic Blink Easy
resolution = range/twotargdivider;
T1rangeflag = 1;
blanks = [0, 0];
name = 'blinkbasiceasy.mat';
% eSTSTbattery(1,graphics)


